﻿@model ArmatureProject.Models.WholeOrderModel

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>
<hr />
<div class="container">
    <div class="col-lg-12">   
    <div class="col-xs-2">
        <div class="right">
            @Html.ActionLink("მეილის გაგზავნა", "Print", new {id = Model.Order.Id})
        </div>
    </div>
    <div class="col-xs-3">
        @Html.DisplayName("შექმინის თარიღი:  " + Model.Order.CreateDate.Date.ToString("yyyy-MM-dd"))
    </div>
    <div class="col-xs-2">
        @Html.DisplayName("შეკვეთის ნომერი:  " + Model.Order.Id)
    </div>
        <div class="col-xs-5">
            @Html.DisplayName("გამგზავნი: " + (string.IsNullOrEmpty(Model.Order.UserName) ? "გაუგზავნელი" : Model.Order.UserName.Split('@').FirstOrDefault()))
        </div>
    </div>
</div>
<hr />
<div class="container">
    <div class="col-xs-6">

        <H3>მძღოლი</H3>
        @foreach(var item in Model.Order.DriverList) { 
            <dl class="dl-horizontal">
                @*<dt>
                        @Html.DisplayName("მონაცემები")
                    </dt>*@

                <dd>
                    @Html.DisplayFor(model => item.FirstName)  @Html.DisplayFor(model => item.LastName) (@Html.DisplayFor(model => item.PersonalN))
                </dd>

                @*<dt>
                        @Html.DisplayName("გვარი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.LastName)
                    </dd>

                    <dt>
                        @Html.DisplayName("პირადი ნომერი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.PersonalN)
                    </dd>

                    <dt>
                        @Html.DisplayName("ტრანსპორტი")
                    </dt>

                    <dd>
                        @Html.DisplayFor(model => item.Transport)
                    </dd>*@


            </dl>
        }
    </div>
    <div class="col-xs-6">

        <H3>კომპანია</H3>
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayName("ტიპი")
            </dt>

            <dd>
                @Html.DisplayName(Model.Company.Type == 0 ? "იურიდიული პირი" : "ფიზიკური პირი")
            </dd>

            <dt>
                @Html.DisplayName("მისამართი")
            </dt>

            <dd>
                @Html.DisplayFor(model => model.CompanyAddress)
            </dd>

            <dt>
                @Html.DisplayName("სახელი")
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Company.Title)
            </dd>

            <dt>
                @Html.DisplayName(Model.Company.Type == 0 ? "საიდენთიფიკაციო კოდი" : "პირადი ნომერი")
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Company.IdNumber)
            </dd>

        </dl>
    </div>
    <hr />
</div>
<div>
    <H3>არმატურის დიამეტრები</H3>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayName("გადახდილი/გადაუხდელი")
            </th>
            <th>
                @Html.DisplayName("მყიდველი")
            </th>
            <th>
                @Html.DisplayName("ხამუტები")
            </th>
            <th>
                @Html.DisplayName("თეორიული")
            </th>
            <th>
                @Html.DisplayName("კომენტარი")
            </th>
        </tr>
        <tr>
            <td> 
                @(Model.Order.IsPaid == null ? "გადაუხდელია" : "გადახდილია")
            </td>
            <td> 
                @(Model.Order.IsBuyer == null ? "არ არის მყიდეველი" : "მყიდველია")
            </td>
            <td> 
                @(Model.Order.Khamut == null ? "არ არის ხამუტი" : "ხამუტია")
            </td>
            <td> 
                @(Model.Order.Theoretical == null ? "არ არის თეორიული" : "თეორიულია")
            </td>
            <td>
                @Html.DisplayFor(modelItem => modelItem.Order.Comment)
            </td>
        </tr>
    </table>
</div>





<hr />
<div>
  
    <div class="col-lg-12">
        <div class="col-xs-4">
            <H3>არმატურის დიამეტრები</H3>
        </div>
        <div class="col-xs-8" style="text-align: end">
            <Br />
           არმატურების რაოდენობის ჯამი - @Model.Armatures.Sum(x => x.Amount).ToString()
         
        </div>
    </div>
    

    <table class="table">
        <tr>
            <th>
                @Html.DisplayName("არმატურის პროფილი")
            </th>
            <th>
                @Html.DisplayName("რაოდენობა")
            </th>
            <th>
                @Html.DisplayName("არმატურის ზომა")
            </th>
            <th>
                @Html.DisplayName("კომენტარი")
            </th>
            <th>
                @Html.DisplayName("გლინულა")
            </th>
        </tr>

        @foreach (var item in Model.Armatures)
            {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Profile)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Amount)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Length)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Comment)
                </td>
                <td>
                    @Html.DisplayName(item.Glinula == true ? "დახვეული" : "გასწორებული")
                </td>
                @*<td>
                        @if (item.Khamut != null && item.Khamut != false)
                        {
                            @Html.DisplayName("true")
                        }
                        else
                        {
                            @Html.DisplayName("false")
                        }

                    </td>
                    <td>
                        @if (item.Theoretical != null && item.Theoretical != false)
                        {
                            @Html.DisplayName("true")
                        }
                        else
                        {
                            @Html.DisplayName("false")
                        }
                    </td>*@
            </tr>
        }

    </table>
</div>
<hr />
<div>
    <H3>ღირებულება</H3>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayName("არმატურის სიგრძე")
            </th>
            <th>
                @Html.DisplayName("ფასი")
            </th>
            <th>
                @Html.DisplayName("კომენტარი")
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model.OrderDetails)
            {
            <tr>
                <td>
                    @if (item.LengthId == 1)
                    {
                        @Html.DisplayName("12 მეტრი (სტანდარტული)")
                    }
                    else if (item.LengthId == 2)
                    {
                        @Html.DisplayName("3-დან 11 მეტრამდე")
                    }
                    else
                    {
                        @Html.DisplayName("1,5-დან 3 მეტრამდე")
                    }

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Comment)
                </td>
            </tr>
        }

    </table>
</div>

<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Order.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>
